Highlighted

Unnecessary Aggregation from Adobe.

New Here ,
Jun 16, 2019

Copy link to clipboard

Copied

I have 2 issues.

I have automatic updates but yet Adobe has me using CC Lightroom 2015 and we're working in 2019 at $10 - $20 per month.

Issue 2 - I'm using OS X 10.10.5 and Adobe is refusing my auto updates to Lightroom "INCOMPATIBLE" Need to "update your operating system to 10.12 or better" but yet I just updated my CC Photoshop 2017. So what now, I have to mess with my operating system just to update Lightroom? In addition, Adobe just quietly signed me out of my account and left me hanging in cyberspace, without any updates, for who knows how long....  This is a whole lot of unneccesary aggravation.

Really Frustrated with Adobe right now,

j.

Views

77

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Unnecessary Aggregation from Adobe.

New Here ,
Jun 16, 2019

Copy link to clipboard

Copied

I have 2 issues.

I have automatic updates but yet Adobe has me using CC Lightroom 2015 and we're working in 2019 at $10 - $20 per month.

Issue 2 - I'm using OS X 10.10.5 and Adobe is refusing my auto updates to Lightroom "INCOMPATIBLE" Need to "update your operating system to 10.12 or better" but yet I just updated my CC Photoshop 2017. So what now, I have to mess with my operating system just to update Lightroom? In addition, Adobe just quietly signed me out of my account and left me hanging in cyberspace, without any updates, for who knows how long....  This is a whole lot of unneccesary aggravation.

Really Frustrated with Adobe right now,

j.

Views

78

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jun 16, 2019 0
Adobe Community Professional ,
Jun 16, 2019

Copy link to clipboard

Copied

MacOS X 10.10 is very old. Newer versions of Lightroom are probably not compatible with it.

-- Johan W. Elzenga, http://www.johanfoto.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 16, 2019 1
Adobe Employee ,
Jun 18, 2019

Copy link to clipboard

Copied

Hi Jackj,

We're really sorry about the frustrated experience, I'd recommend that you take a look at this article OS support for Creative Cloud 2019 apps and see why older operating systems are not compatible with latest version of Photoshop, Lightroom Classic and other Adobe apps.

Also, check out the below articles for system requirements for latest versions of Photoshop and Lightroom Classic:

Photoshop system requirements  Lightroom Classic system requirements  Adobe Creative Cloud support and compatibility with Mac OS X

Thanks,

Akash

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 18, 2019 0